## Package org.apache.xalan.xpath.dtm

Class Summary
DTM: **For internal use only** `DTM` is an XML document model expressed as a table rather than an object tree.
DTMLiaison: **For internal use only** Liaison to Document Table Model (DTM) XML parser -- the default liaison and parser that XSLTProcessor uses to perform transformations.
DTMNodeLocator: **For advanced use only**
DTMProxy: **For internal use only** `DTMProxy` presents a DOM Node API front-end to the DTM model.
DTMProxyMap: **For internal use only** DTMProxyMap is a quickie (as opposed to quick) implementation of the DOM's NamedNodeMap interface, intended to support DTMProxy's getAttributes() call.

Exception Summary
DTMException: **For internal use only** Simple implementation of DOMException.

Copyright © 2000 Apache XML Project. All Rights Reserved.